git-branchless-next(1)

NAME
next - Move to a later commit in the current stack

SYNOPSIS
next [-a|--all] [-b|--branch] [-o|--oldest] [-n|--newest] [-i|--interactive] [-m|--merge] [-f|--force] [-h|--help] [NUM_COMMITS]

DESCRIPTION
Move to a later commit in the current stack

OPTIONS

-a, --all
    Traverse as many commits as possible

-b, --branch
    Move the specified number of branches rather than commits

-o, --oldest
    When encountering multiple next commits, choose the oldest

-n, --newest
    When encountering multiple next commits, choose the newest

-i, --interactive
    When encountering multiple next commits, interactively prompt which to advance to

-m, --merge
    If the local changes conflict with the destination commit, attempt to merge them

-f, --force
    If the local changes conflict with the destination commit, discard them. (Use with caution!)

-h, --help
    Print help (see a summary with '-h')

[NUM_COMMITS]
    The number of commits to traverse. If not provided, defaults to 1.